mplayer, avidemux e bino danno errore 11

Tutto ciò che è pertinente a Sabayon Linux, indipendentemente dall'architettura e dall'ambiente grafico

Moderator: Moderators

mplayer, avidemux e bino danno errore 11

Postby axelaxel6 » Fri Jan 10, 2014 18:54

dagli ultimi due aggiornamenti non vanno più mplayer, mplayer2, avidemux e bino in tutti i casi mi danno errore 11 (errore di segmentazione) qualcuno ha qualche idea di cosa fare per sistemare il tutto in maniera che funzioni?
ho già rimosso e installato di nuovo i programmi suddetti ma niente da fare.

sabayon AMD64 kernel 3.11

Code: Select all
lspci
00:00.0 RAM memory: NVIDIA Corporation MCP67 Memory Controller (rev a2)
00:01.0 ISA bridge: NVIDIA Corporation MCP67 ISA Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP67 SMBus (rev a2)
00:02.0 USB controller: NVIDIA Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:02.1 USB controller: NVIDIA Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:04.0 USB controller: NVIDIA Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:04.1 USB controller: NVIDIA Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:06.0 IDE interface: NVIDIA Corporation MCP67 IDE Controller (rev a1)
00:07.0 Audio device: NVIDIA Corporation MCP67 High Definition Audio (rev a1)
00:08.0 PCI bridge: NVIDIA Corporation MCP67 PCI Bridge (rev a2)
00:09.0 IDE interface: NVIDIA Corporation MCP67 AHCI Controller (rev a2)
00:0a.0 Ethernet controller: NVIDIA Corporation MCP67 Ethernet (rev a2)
00:0b.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:0c.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:0d.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:0e.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:0f.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:10.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:11.0 PCI bridge: NVIDIA Corporation MCP67 PCI Express Bridge (rev a2)
00:12.0 VGA compatible controller: NVIDIA Corporation C68 [GeForce 7025 / nForce 630a] (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 Multimedia controller: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder (rev d1)

lsusb
Bus 003 Device 002: ID 0e8d:1836 MediaTek Inc. Samsung SE-S084 Super WriteMaster Slim External DVD writer
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


attendo vostre indicazioni e grazie anticipatamente :)
axelaxel6
Simple Hen
 
Posts: 64
Joined: Mon Mar 09, 2009 11:38

Re: mplayer, avidemux e bino danno errore 11

Postby axelaxel6 » Fri Jan 24, 2014 21:13

trovato il problema:
@@ Pacchetto: x11-libs/libvdpau-0.7 branch: 5, [sabayon-weekly]

mplayer2 utilizza il driver video vdpau, utilizzando altri dirver video (es. -vo=gl) funziona, presumo che anche gli altri programmi si appoggino alla stessa libreria

ho anche installato i seguenti pacchetti:
@@ Pacchetto: x11-libs/libva-vdpau-driver-0.7.4 branch: 5, [sabayon-weekly]
@@ Pacchetto: x11-misc/vdpauinfo-0.1 branch: 5, [sabayon-weekly]

dando il comando:
Code: Select all
[email protected] ~ $ vdpauinfo
display: :0   screen: 0
API version: 1
Information string: G3DVL VDPAU Driver Shared Library version 1.0

Video surface:

name   width height types
-------------------------------------------
Errore di segmentazione


e non mi lascia disinstallare 'libvdpau'

adesso come posso procedere? :?:
Grazie
axelaxel6
Simple Hen
 
Posts: 64
Joined: Mon Mar 09, 2009 11:38

Re: mplayer, avidemux e bino danno errore 11

Postby axelaxel6 » Mon Feb 10, 2014 0:07

ho fatto alcuni tentativi:
primo ho disinstallato mplayer mplayer2 e avidemux
poi ho dato:
Code: Select all
USE="-vdpau -vaapi" emerge avidemux

terminata l'installazione ho provato avidemux e funzionava tutto correttamente
ho poi porvato:
Code: Select all
USE="-vdapu -vaapi" emerge mplayer2

e non c'è stato verso di arrivare alla fine, e inoltre mi presentava una versione più vecchia di quella presente in portage e nn riusciva a portare a termine l'installazione;
ho installato i driver proprietari di nvidia nella versione 304.119 (scheda un po' vecchia), dopo aver fatto a pugni con '/etc/modprobe.d/blacklist.conf' per il caricamento del modulo 'nvidia' al posto del 'nouveau', ho avutoancora qualche problemino, dando il comando:
Code: Select all
[email protected]:~$ vdpauinfo
display: :0.0   screen: 0
Error creating VDPAU device: 1

e avviando mplayer mi dava tra l'output:
Code: Select all
[vdpau] Error when calling vdp_device_create_x11: 1

ho reinstallato avidemux dai repository e anche questo mi dava problemi con vdpau:
Code: Select all
 Probing for VDPAU...
VDPAU not available
Probing for LIBVA...
 [init]  [LIBVA] Initializing LibVA library ...
libva info: VA-API version 0.33.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/va/drivers/nvidia_drv_video.so
libva info: Found init function __vaDriverInit_0_33
Eccezione in virgola mobile

curiosando poi in rete ho notato che molti avevano problemi di link simbolici alle librerie, ho cominciato a guardare nel mio sistema:
Code: Select all
[email protected]:~$ ls /usr/lib64/*vdpau* -l
lrwxrwxrwx 1 root root      20  9 feb 18.24 /usr/lib64/libvdpau_nvidia.so -> libvdpau_nvidia.so.1
lrwxrwxrwx 1 root root      26  9 feb 18.24 /usr/lib64/libvdpau_nvidia.so.1 -> libvdpau_nvidia.so.304.119
-rwxr-xr-x 1 root root 1813064 25 gen 10.54 /usr/lib64/libvdpau_nvidia.so.304.119
lrwxrwxrwx 1 root root      17  9 feb 14.17 /usr/lib64/libvdpau.so -> libvdpau.so.1.0.0
lrwxrwxrwx 1 root root      17  9 feb 14.17 /usr/lib64/libvdpau.so.1 -> libvdpau.so.1.0.0
-rwxr-xr-x 1 root root   17096 11 nov 14.36 /usr/lib64/libvdpau.so.1.0.0

/usr/lib64/vdpau:
totale 78632
lrwxrwxrwx 1 root root       25  9 feb 17.25 libvdpau_nouveau.so -> libvdpau_nouveau.so.1.0.0
lrwxrwxrwx 1 root root       25  9 feb 17.25 libvdpau_nouveau.so.1 -> libvdpau_nouveau.so.1.0.0
-rwxr-xr-x 1 root root 16373864 29 gen 18.02 libvdpau_nouveau.so.1.0.0
lrwxrwxrwx 1 root root       22  9 feb 17.25 libvdpau_r300.so -> libvdpau_r300.so.1.0.0
lrwxrwxrwx 1 root root       22  9 feb 17.25 libvdpau_r300.so.1 -> libvdpau_r300.so.1.0.0
-rwxr-xr-x 1 root root 15474104 29 gen 18.02 libvdpau_r300.so.1.0.0
lrwxrwxrwx 1 root root       22  9 feb 17.25 libvdpau_r600.so -> libvdpau_r600.so.1.0.0
lrwxrwxrwx 1 root root       22  9 feb 17.25 libvdpau_r600.so.1 -> libvdpau_r600.so.1.0.0
-rwxr-xr-x 1 root root 16091688 29 gen 18.02 libvdpau_r600.so.1.0.0
lrwxrwxrwx 1 root root       26  9 feb 17.25 libvdpau_radeonsi.so -> libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx 1 root root       26  9 feb 17.25 libvdpau_radeonsi.so.1 -> libvdpau_radeonsi.so.1.0.0
-rwxr-xr-x 1 root root 17141216 29 gen 18.02 libvdpau_radeonsi.so.1.0.0
lrwxrwxrwx 1 root root       26  9 feb 17.25 libvdpau_softpipe.so -> libvdpau_softpipe.so.1.0.0
lrwxrwxrwx 1 root root       26  9 feb 17.25 libvdpau_softpipe.so.1 -> libvdpau_softpipe.so.1.0.0
-rwxr-xr-x 1 root root 15358368 29 gen 18.02 libvdpau_softpipe.so.1.0.0
lrwxrwxrwx 1 root root       23  9 feb 14.17 libvdpau_trace.so -> libvdpau_trace.so.1.0.0
lrwxrwxrwx 1 root root       23  9 feb 14.17 libvdpau_trace.so.1 -> libvdpau_trace.so.1.0.0
-rwxr-xr-x 1 root root    51192 11 nov 14.36 libvdpau_trace.so.1.0.0

ho notato che non c'era il link simbolico /usr/lib64/libvdpau_nvidia.so.1.0.0 così ho provveduto a crearlo che punta a /usr/lib64/libvdpau_nvidia.so.304.119;
poi non era presente (come citato anche in rete) i link simbolici ai driver nvidia nella cartella /usr/lib64/vdpau, così ho provveduto a crearli manualmente, libvdpau_nvidia.so, libvdpau_nvidia.so.1 e libvdpau_nvidia.so.1.0.0 che puntano a /usr/lib64/libvdpau_nvidia.so.304.119;
a questo punto mplayer cominciava ad andare (video e audio si vedevano e sentivano) anche se mi da ancora l'errore
Code: Select all
[vdpau] Error when calling vdp_device_create_x11: 1
, mentre avidemux non voleva proprio partire;
allora sono andato a curiosare /usr/lib64/va/drivers/nvidia_drv_video.so che è un link simbolico a /usr/lib64/va/drivers/vdpau_drv_video.so che fa parte del pacchetto
Code: Select all
x11-libs/libva-vdpau-driver-0.7.4 branch: 5, [__system__]
; allora ho pensato di modificare questo link simbolico e di farlo puntare a /usr/lib64/libvdpau_nvidia.so.304.119;

per ora sembra funzionare tutto anche bino, ma mplayer mi da ancora l'errore
[vdpau] Error when calling vdp_device_create_x11: 1
, mentre in avidemux funziona ma mi da ancora errore per quanto riguarda vdpau che non trova e libva non da più l'eccezione in virgola mobile ma non trova nemmeno libva; per il momento non ho ancora trovato soluzione :evil:

mi si è creato un'altro problema: per installare nvidia-drivers-304.119 ha dovuto rimuovere chromium, e adesso come faccio a rimetterlo? :scratch:
axelaxel6
Simple Hen
 
Posts: 64
Joined: Mon Mar 09, 2009 11:38


Return to Sabayon Linux Discussioni Generali

Who is online

Users browsing this forum: No registered users and 1 guest

cron